Bug 1408700 - yumex-dnf errors dnfdaemon needs update.
Summary: yumex-dnf errors dnfdaemon needs update.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex-dnf
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-26 13:32 UTC by eddy02
Modified: 2017-04-01 17:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-01 17:29:35 UTC
Type: Bug


Attachments (Terms of Use)

Description eddy02 2016-12-26 13:32:45 UTC
yumex-dnf crashes :
  
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/backend.py", line 273, in __init__
    self._inst_na = self._sack.query().installed().na_dict()
AttributeError: 'Query' object has no attribute 'na_dict'


No issue with timlau github version.

dnfdaemon needs to be update with upstream.
change ->  dnfdaemon Optimize code for dnf-2.0 (4 months ago).

Comment 1 Fedora End Of Life 2017-02-28 10:50:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora Admin XMLRPC Client 2017-03-22 10:10:14 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2017-03-23 18:03:08 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2017-03-23 23:34:22 UTC
dnfdaemon-0.3.16-8.fc26 dnfdragora-1.0.0-5.git20170322.798975a.fc26 libyui-mga-gtk-1.0.2-0.7.git22f2cf6.20131215.fc26 libyui-mga-ncurses-1.0.2-0.6.git026f2e6.20131215.fc26 libyui-mga-qt-1.0.3-0.6.gitb508e88.20140119.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d8c7a2d55e

Comment 5 Fedora Update System 2017-03-24 14:52:21 UTC
dnfdaemon-0.3.16-8.fc26, dnfdragora-1.0.0-5.git20170322.798975a.fc26, libyui-mga-gtk-1.0.2-0.7.git22f2cf6.20131215.fc26, libyui-mga-ncurses-1.0.2-0.6.git026f2e6.20131215.fc26, libyui-mga-qt-1.0.3-0.6.gitb508e88.20140119.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d8c7a2d55e

Comment 6 Fedora Update System 2017-04-01 17:29:35 UTC
dnfdaemon-0.3.16-8.fc26, dnfdragora-1.0.0-5.git20170322.798975a.fc26, libyui-mga-gtk-1.0.2-0.7.git22f2cf6.20131215.fc26, libyui-mga-ncurses-1.0.2-0.6.git026f2e6.20131215.fc26, libyui-mga-qt-1.0.3-0.6.gitb508e88.20140119.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.